Package org.apache.sling.junit.remote.ide

# Class SerializedRenderer

java.lang.Object
org.junit.runner.notification.RunListener
org.apache.sling.junit.remote.ide.SerializedRenderer

All Implemented Interfaces:
  `org.apache.sling.junit.Renderer`, `org.apache.sling.junit.RendererFactory`

public class SerializedRenderer extends org.junit.runner.notification.RunListener implements org.apache.sling.junit.Renderer, org.apache.sling.junit.RendererFactory
Renderer for Sling JUnit server-side testing, which renders test results in binary form. Used to send results, and especially Exceptions, as is to a remote IDE.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.junit.runner.notification.RunListener

`org.junit.runner.notification.RunListener.ThreadSafe`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`EXTENSION`

## Constructor Summary

Constructors
Constructor
Description
`SerializedRenderer()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`appliesTo(org.apache.sling.junit.TestSelector s)`
`void`
`cleanup()`
`org.apache.sling.junit.Renderer`
`createRenderer()`
`String`
`getExtension()`
`org.junit.runner.notification.RunListener`
`getRunListener()`
`void`
`info(String role, String info)`
`void`
`link(String info, String url, String method)`
`void`
`list(String role, Collection<String> data)`
`void`
`setup(javax.servlet.http.HttpServletResponse response, String pageTitle)`
`void`
`testRunFinished(org.junit.runner.Result result)`
`void`
`title(int level, String title)`

### Methods inherited from class org.junit.runner.notification.RunListener

`testAssumptionFailure, testFailure, testFinished, testIgnored, testRunStarted, testStarted, testSuiteFinished, testSuiteStarted`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### EXTENSION

public static final String EXTENSION

See Also:
  - Constant Field Values

## Constructor Details

### SerializedRenderer

public SerializedRenderer()

## Method Details

### createRenderer

public org.apache.sling.junit.Renderer createRenderer()

Specified by:
  `createRenderer` in interface `org.apache.sling.junit.RendererFactory`

### appliesTo

public boolean appliesTo(org.apache.sling.junit.TestSelector s)

Specified by:
  `appliesTo` in interface `org.apache.sling.junit.Renderer`

### getExtension

public String getExtension()

Specified by:
  `getExtension` in interface `org.apache.sling.junit.Renderer`

### setup

public void setup(javax.servlet.http.HttpServletResponse response, String pageTitle) throws IOException, UnsupportedEncodingException

Specified by:
  `setup` in interface `org.apache.sling.junit.Renderer`
Throws:
  `IOException`
  `UnsupportedEncodingException`

### cleanup

public void cleanup()

Specified by:
  `cleanup` in interface `org.apache.sling.junit.Renderer`

### getRunListener

public org.junit.runner.notification.RunListener getRunListener()

Specified by:
  `getRunListener` in interface `org.apache.sling.junit.Renderer`

### info

public void info(String role, String info)

Specified by:
  `info` in interface `org.apache.sling.junit.Renderer`

### link

public void link(String info, String url, String method)

Specified by:
  `link` in interface `org.apache.sling.junit.Renderer`

### list

public void list(String role, Collection<String> data)

Specified by:
  `list` in interface `org.apache.sling.junit.Renderer`

### title

public void title(int level, String title)

Specified by:
  `title` in interface `org.apache.sling.junit.Renderer`

### testRunFinished

public void testRunFinished(org.junit.runner.Result result) throws IOException

Overrides:
  `testRunFinished` in class `org.junit.runner.notification.RunListener`
Throws:
  `IOException`